

    ****************************************************
    **   Legal Traditions and Initial Endowments in   **
    **    Shaping the Path of Financial Development   **
    **                                                **
    **   Oto-Peralas, D. and Romero-vila D. (2012)  **
    **                                                ** 
    **            REPLICATION FILE - TABLE 5          **
    **                                                **
    ****************************************************	  


clear
	
cd "..."	

use dataset.dta


*Table 5:
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd dpi_lipc, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd dpi_checks, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd p_xconst, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_sm cilfr_sm cilsp_sm cilot_sm, r
	test col_sm = cilfr_sm
	test col_sm = cilsp_sm
	test col_sm = cilot_sm
	test (_cons+6.2146081*col_sm) = (_cons+cil_fr+6.2146081*cilfr_sm)
	test (_cons+6.2146081*col_sm) = (_cons+cil_sp+6.2146081*cilsp_sm)
	test (_cons+6.2146081*col_sm) = (_cons+cil_ot+6.2146081*cilot_sm)
	test (_cons+cil_sp+4.0943446*cilsp_sm)=(_cons+cil_fr+4.0943446*cilfr_sm)
	test cilsp_sm = cilfr_sm
reg priv_cred1  cil_fr cil_sp cil_ot col_ur cilfr_ur cilsp_ur cilot_ur, r
	test col_ur = cilfr_ur
	test col_ur = cilsp_ur
	test col_ur = cilot_ur
	test (_cons+10*col_ur) = (_cons+cil_fr+10*cilfr_ur)
	test (_cons+10*col_ur) = (_cons+cil_sp+10*cilsp_ur)
	test (_cons+10*col_ur) = (_cons+cil_ot+10*cilot_ur)
	test cil_sp = cil_fr
	test cilsp_ur = cilfr_ur
reg priv_cred1  cil_fr cil_sp cil_ot col_sw cilfr_sw cilsp_sw cilot_sw, r
	test col_sw = cilfr_sw
	test col_sw = cilsp_sw
	test col_sw = cilot_sw
	test (_cons+0.33647224*col_sw) = (_cons+cil_fr+0.33647224*cilfr_sw)
	test (_cons+0.33647224*col_sw) = (_cons+cil_sp+0.33647224*cilsp_sw)
	test (_cons+0.33647224*col_sw) = (_cons+cil_ot+0.33647224*cilot_sw)
	test cil_sp = cil_fr
	test cilsp_sw = cilfr_sw
reg priv_cred1  cil_fr cil_sp cil_ot col_mr cilfr_mr cilsp_mr cilot_mr, r
	test col_mr = cilfr_mr
	test col_mr = cilsp_mr
	test col_mr = cilot_mr
	test (_cons+10*col_mr) = (_cons+cil_fr+10*cilfr_mr)
	test (_cons+10*col_mr) = (_cons+cil_sp+10*cilsp_mr)
	test (_cons+10*col_mr) = (_cons+cil_ot+10*cilot_mr)
	test cil_sp = cil_fr
	test cilsp_mr = cilfr_mr
		*Potencial great influence observation: LEVERAGE (criteria= 2p/n)
		reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd
		scalar observ=e(N)
		predict levg if e(sample)==1, leverage
		list code levg if levg>(2*8)/observ & levg!=.
		gen outlev=(levg>(2*8)/observ) if levg!=.
		*Standardized residuals (criteria abs=2)
		reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd
		predict residstd if e(sample)==1, rstandard
		list code residstd if abs(residstd)>2 & residstd!=.
		gen outresidstd=(abs(residstd)>2) if residstd!=.
		*Cooks D  (criteria= (4/n)  )
		reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd
		scalar observ=e(N)	
		predict cook if e(sample)==1, cooksd	
		list code cook if cook > 4/observ & cook!=.	
		gen outcook=(cook>4/observ) if cook!=.	
		*DFITS (criteria abs=2*sqrt(k/n)  )	
		reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd  	
		scalar observ=e(N)	
		predict dfit if e(sample)==1, dfits	
		list code dfit if abs(dfit) > 2*sqrt(8/observ) & dfit!=.	
		gen outdfit=(abs(dfit)>2*sqrt(8/observ)) if dfit!=.	
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if outlev!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if outresidstd!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if outcook!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if outdfit!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if rich4!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if MENAf!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if LACa!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
reg priv_cred1  cil_fr cil_sp cil_ot col_pd cilfr_pd cilsp_pd cilot_pd   if AFR!=1, r
	test col_pd = cilfr_pd
	test col_pd = cilsp_pd
	test col_pd = cilot_pd
	test (_cons+2.3025851*col_pd) = (_cons+cil_fr+2.3025851*cilfr_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_sp+2.3025851*cilsp_pd)
	test (_cons+2.3025851*col_pd) = (_cons+cil_ot+2.3025851*cilot_pd)
	test cil_sp = cil_fr
	test cilsp_pd = cilfr_pd
	
